<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('detail_penawaran', function (Blueprint $table) {
            $table->id();
            $table->foreignId('kjpp_rekanan_id')->constrained('kjpp');
            $table->foreignId('penawaran_id')->constrained('penawaran');
            $table->string('biaya_penawaran');
            $table->string('attachment');
            $table->string('dokumen_persetujuan');
            $table->boolean('status')->default(true)->nullable();
            $table->char('authorized_status', 1)->nullable();
            $table->timestamp('authorized_at')->nullable();
            $table->unsignedBigInteger('authorized_by')->nullable();
            $table->timestamps();
            $table->softDeletes();

            $table->unsignedBigInteger('deleted_by')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('detail_penawaran');
    }
};
